/**
 * @file Ce fichier contient les tests des resolvers des messages
 * @author ofacklam
*/

import { TestSet } from '../../testData';

export const tests: TestSet = {
    description: "Message type resolvers",
    tests: [
        {
            description: "announcement(gid) not authorized",
            query: `
                query {
                    announcement(mid: 1) {
                        mid
                    }
                }
            `,
            result: {
                "data": {
                    "announcement": null
                }
            }
        },

        {
            description: "event(mid) not authorized",
            query: `
                query {
                    event(mid: 1) {
                        mid
                    }
                }

            `,
            result: {
                "data": {
                    "event": null
                }
            }
        },

        {
            description: "privatePost(mid) not authorized",
            query: `
                query {
                    privatePost(mid: 1) {
                        mid
                    }
                }

            `,
            result: {
                "data": {
                    "privatePost": null
                }
            }
        },

        {
            description: "question(mid) not authorized",
            query: `
                query {
                    question(mid: 1) {
                        mid
                    }
                }

            `,
            result: {
                "data": {
                    "question": null
                }
            }
        },

        {
            description: "answer(mid) not authorized",
            query: `
                query {
                    answer(mid: 1) {
                        mid
                    }
                }

            `,
            result: {
                "data": {
                    "answer": null
                }
            }
        }
    ]
}

